<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="17701" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="A2o-Uz-JeA">
    <device id="retina6_1" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="17703"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--Home View Controller-->
        <scene sceneID="tne-QT-ifu">
            <objects>
                <viewController storyboardIdentifier="HomeViewController" id="BYZ-38-t0r" customClass="HomeViewController" customModule="images" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="8bC-Xf-vdC">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <collectionView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" dataMode="prototypes" translatesAutoresizingMaskIntoConstraints="NO" id="Dy5-hn-Rrd">
                                <rect key="frame" x="0.0" y="88" width="414" height="725"/>
                                <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                <collectionViewLayout key="collectionViewLayout" id="ud6-KI-i9P" customClass="CustomLayoutUtil" customModule="images" customModuleProvider="target"/>
                                <cells/>
                            </collectionView>
                        </subviews>
                        <viewLayoutGuide key="safeArea" id="6Tk-OE-BBY"/>
                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        <constraints>
                            <constraint firstItem="Dy5-hn-Rrd" firstAttribute="bottom" secondItem="6Tk-OE-BBY" secondAttribute="bottom" id="BfB-7v-i9Q"/>
                            <constraint firstItem="Dy5-hn-Rrd" firstAttribute="top" secondItem="6Tk-OE-BBY" secondAttribute="top" id="Fyj-8K-5GE"/>
                            <constraint firstItem="Dy5-hn-Rrd" firstAttribute="trailing" secondItem="6Tk-OE-BBY" secondAttribute="trailing" id="WiI-5g-AEe"/>
                            <constraint firstItem="Dy5-hn-Rrd" firstAttribute="leading" secondItem="6Tk-OE-BBY" secondAttribute="leading" id="scj-5c-drf"/>
                        </constraints>
                    </view>
                    <navigationItem key="navigationItem" id="9fR-Xw-nia"/>
                    <connections>
                        <outlet property="collectionView" destination="Dy5-hn-Rrd" id="Eu8-Td-vi0"/>
                        <segue destination="8Qy-0Z-wDc" kind="show" identifier="DetailController" id="5fW-f3-iBn"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="dkx-z0-nzr" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="1926.0869565217392" y="-374.33035714285711"/>
        </scene>
        <!--Image Detail View Controller-->
        <scene sceneID="qzu-DA-nkN">
            <objects>
                <viewController id="6bp-2G-Dgv" customClass="ImageDetailViewController" customModule="images" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="pDC-Ui-wWa">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="808"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" translatesAutoresizingMaskIntoConstraints="NO" id="ZPk-Vk-noy">
                                <rect key="frame" x="157" y="0.0" width="100" height="100"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="100" id="KbC-xn-JMZ"/>
                                    <constraint firstAttribute="width" constant="100" id="d0J-lr-7vO"/>
                                </constraints>
                            </imageView>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Label" textAlignment="center" lineBreakMode="tailTruncation" numberOfLines="2" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="nOR-UU-Jus">
                                <rect key="frame" x="20" y="108" width="374" height="31.5"/>
                                <fontDescription key="fontDescription" name="AppleSymbols" family="Apple Symbols" pointSize="34"/>
                                <nil key="textColor"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Label" textAlignment="center" lineBreakMode="tailTruncation" numberOfLines="10" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="2uf-J2-Ob6">
                                <rect key="frame" x="20" y="139.5" width="374" height="20.5"/>
                                <fontDescription key="fontDescription" name="AppleSymbols" family="Apple Symbols" pointSize="22"/>
                                <color key="textColor" red="0.60392156862745094" green="0.60392156862745094" blue="0.60392156862745094" alpha="1" colorSpace="calibratedRGB"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="4DH-7s-UmB">
                                <rect key="frame" x="25" y="172" width="364" height="0.5"/>
                                <color key="backgroundColor" white="0.66666666666666663" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="0.5" id="WJx-Ug-IEo"/>
                                </constraints>
                            </view>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="KS8-wA-CZc">
                                <rect key="frame" x="157" y="184.5" width="100" height="70"/>
                                <subviews>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="0" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Y0S-zJ-TPs">
                                        <rect key="frame" x="5" y="2" width="90" height="27"/>
                                        <fontDescription key="fontDescription" name="AppleSymbols" family="Apple Symbols" pointSize="30"/>
                                        <color key="textColor" red="0.00095135391180000003" green="0.33504520939999999" blue="0.0014761122149999999" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Collections" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Ry9-di-HjR">
                                        <rect key="frame" x="7.5" y="34" width="85.5" height="22"/>
                                        <fontDescription key="fontDescription" name="AppleSymbols" family="Apple Symbols" pointSize="23"/>
                                        <nil key="textColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                </subviews>
                                <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="70" id="AP4-OI-U7U"/>
                                    <constraint firstAttribute="width" constant="100" id="D3a-11-Kqj"/>
                                    <constraint firstItem="Y0S-zJ-TPs" firstAttribute="leading" secondItem="KS8-wA-CZc" secondAttribute="leading" constant="5" id="E2k-hp-E7W"/>
                                    <constraint firstItem="Ry9-di-HjR" firstAttribute="top" secondItem="Y0S-zJ-TPs" secondAttribute="bottom" constant="5" id="kFK-i5-g77"/>
                                    <constraint firstItem="Ry9-di-HjR" firstAttribute="centerX" secondItem="KS8-wA-CZc" secondAttribute="centerX" id="kn7-JJ-uz0"/>
                                    <constraint firstItem="Y0S-zJ-TPs" firstAttribute="top" secondItem="KS8-wA-CZc" secondAttribute="top" constant="2" id="qWA-yD-xRY"/>
                                    <constraint firstAttribute="trailing" secondItem="Y0S-zJ-TPs" secondAttribute="trailing" constant="5" id="tPC-YG-UAr"/>
                                </constraints>
                            </view>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="GRF-ph-ok8">
                                <rect key="frame" x="49" y="184" width="100" height="70"/>
                                <subviews>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="0" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="2dg-VQ-vhf">
                                        <rect key="frame" x="5" y="2" width="90" height="27"/>
                                        <fontDescription key="fontDescription" name="AppleSymbols" family="Apple Symbols" pointSize="30"/>
                                        <color key="textColor" red="0.00095135391180000003" green="0.33504520939999999" blue="0.0014761122149999999" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Photos" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="YnG-W8-a5y">
                                        <rect key="frame" x="23" y="34" width="54.5" height="22"/>
                                        <fontDescription key="fontDescription" name="AppleSymbols" family="Apple Symbols" pointSize="23"/>
                                        <nil key="textColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                </subviews>
                                <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstAttribute="width" constant="100" id="2Td-mu-JZe"/>
                                    <constraint firstItem="YnG-W8-a5y" firstAttribute="centerX" secondItem="GRF-ph-ok8" secondAttribute="centerX" id="62F-K5-kjH"/>
                                    <constraint firstAttribute="trailing" secondItem="2dg-VQ-vhf" secondAttribute="trailing" constant="5" id="Bb0-Rk-JCm"/>
                                    <constraint firstAttribute="height" constant="70" id="SFZ-MH-BIK"/>
                                    <constraint firstItem="2dg-VQ-vhf" firstAttribute="leading" secondItem="GRF-ph-ok8" secondAttribute="leading" constant="5" id="gxt-1F-L4Y"/>
                                    <constraint firstItem="2dg-VQ-vhf" firstAttribute="top" secondItem="GRF-ph-ok8" secondAttribute="top" constant="2" id="iTQ-UK-xQQ"/>
                                    <constraint firstItem="YnG-W8-a5y" firstAttribute="top" secondItem="2dg-VQ-vhf" secondAttribute="bottom" constant="5" id="ske-x2-Ou3"/>
                                </constraints>
                            </view>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="qS2-EA-uzr">
                                <rect key="frame" x="265" y="184" width="100" height="70"/>
                                <subviews>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="0" textAlignment="center" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="YwD-4P-0uJ">
                                        <rect key="frame" x="5" y="2" width="90" height="27"/>
                                        <fontDescription key="fontDescription" name="AppleSymbols" family="Apple Symbols" pointSize="30"/>
                                        <color key="textColor" red="0.00095135391180000003" green="0.33504520939999999" blue="0.0014761122149999999" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Likes" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="t7e-Dk-1HE">
                                        <rect key="frame" x="30" y="34" width="40" height="22"/>
                                        <fontDescription key="fontDescription" name="AppleSymbols" family="Apple Symbols" pointSize="23"/>
                                        <nil key="textColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                </subviews>
                                <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstAttribute="trailing" secondItem="YwD-4P-0uJ" secondAttribute="trailing" constant="5" id="9bI-Vd-xxa"/>
                                    <constraint firstAttribute="width" constant="100" id="GlI-xU-Urz"/>
                                    <constraint firstItem="t7e-Dk-1HE" firstAttribute="top" secondItem="YwD-4P-0uJ" secondAttribute="bottom" constant="5" id="X6o-7V-qeA"/>
                                    <constraint firstItem="YwD-4P-0uJ" firstAttribute="top" secondItem="qS2-EA-uzr" secondAttribute="top" constant="2" id="fRL-hb-N2D"/>
                                    <constraint firstItem="t7e-Dk-1HE" firstAttribute="centerX" secondItem="qS2-EA-uzr" secondAttribute="centerX" id="pD5-cJ-olD"/>
                                    <constraint firstItem="YwD-4P-0uJ" firstAttribute="leading" secondItem="qS2-EA-uzr" secondAttribute="leading" constant="5" id="r2O-W9-Fo5"/>
                                    <constraint firstAttribute="height" constant="70" id="yLG-Qe-csM"/>
                                </constraints>
                            </view>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="CLR-kS-Hcp">
                                <rect key="frame" x="117" y="264.5" width="180" height="35"/>
                                <subviews>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Label" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="PoV-X7-To2">
                                        <rect key="frame" x="70" y="7" width="40" height="21"/>
                                        <fontDescription key="fontDescription" name="AppleSymbols" family="Apple Symbols" pointSize="22"/>
                                        <color key="textColor" white="0.66666666666666663" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="ic_twitter" translatesAutoresizingMaskIntoConstraints="NO" id="Uix-zs-Nxx">
                                        <rect key="frame" x="32" y="2.5" width="30" height="30"/>
                                        <constraints>
                                            <constraint firstAttribute="width" constant="30" id="Oju-Vx-0br"/>
                                            <constraint firstAttribute="height" constant="30" id="zkB-0a-NhL"/>
                                        </constraints>
                                    </imageView>
                                </subviews>
                                <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstItem="Uix-zs-Nxx" firstAttribute="centerY" secondItem="CLR-kS-Hcp" secondAttribute="centerY" id="0MU-FV-LZT"/>
                                    <constraint firstItem="PoV-X7-To2" firstAttribute="centerY" secondItem="CLR-kS-Hcp" secondAttribute="centerY" id="Nr0-t5-n2J"/>
                                    <constraint firstAttribute="height" constant="35" id="aoB-qP-HUq"/>
                                    <constraint firstAttribute="width" constant="180" id="jnt-gh-n61"/>
                                    <constraint firstItem="PoV-X7-To2" firstAttribute="centerX" secondItem="CLR-kS-Hcp" secondAttribute="centerX" id="pyU-HE-PdP"/>
                                    <constraint firstItem="PoV-X7-To2" firstAttribute="leading" secondItem="Uix-zs-Nxx" secondAttribute="trailing" constant="8" id="qkz-gB-ORU"/>
                                </constraints>
                            </view>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="hGr-bf-FWM">
                                <rect key="frame" x="117" y="299.5" width="180" height="35"/>
                                <subviews>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="Label" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="F8L-Cs-X73">
                                        <rect key="frame" x="70" y="7" width="40" height="21"/>
                                        <fontDescription key="fontDescription" name="AppleSymbols" family="Apple Symbols" pointSize="22"/>
                                        <color key="textColor" white="0.66666666669999997" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="ic_instagram" translatesAutoresizingMaskIntoConstraints="NO" id="0MZ-ki-b7q">
                                        <rect key="frame" x="32" y="2.5" width="30" height="30"/>
                                        <constraints>
                                            <constraint firstAttribute="width" constant="30" id="W34-3O-Sn2"/>
                                            <constraint firstAttribute="height" constant="30" id="kFz-aG-n4Z"/>
                                        </constraints>
                                    </imageView>
                                </subviews>
                                <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstItem="F8L-Cs-X73" firstAttribute="leading" secondItem="0MZ-ki-b7q" secondAttribute="trailing" constant="8" id="FGf-Yn-L5H"/>
                                    <constraint firstItem="0MZ-ki-b7q" firstAttribute="centerY" secondItem="hGr-bf-FWM" secondAttribute="centerY" id="LKy-WE-XjL"/>
                                    <constraint firstAttribute="width" constant="180" id="MIW-ad-NyJ"/>
                                    <constraint firstAttribute="height" constant="35" id="QAf-Od-UCU"/>
                                    <constraint firstItem="F8L-Cs-X73" firstAttribute="centerY" secondItem="hGr-bf-FWM" secondAttribute="centerY" id="cUU-4M-XDC"/>
                                    <constraint firstItem="F8L-Cs-X73" firstAttribute="centerX" secondItem="hGr-bf-FWM" secondAttribute="centerX" id="dlC-qo-xtb"/>
                                </constraints>
                            </view>
                        </subviews>
                        <viewLayoutGuide key="safeArea" id="3nZ-lc-IbM"/>
                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        <constraints>
                            <constraint firstItem="ZPk-Vk-noy" firstAttribute="centerX" secondItem="pDC-Ui-wWa" secondAttribute="centerX" id="9Zn-hG-QHs"/>
                            <constraint firstItem="nOR-UU-Jus" firstAttribute="top" secondItem="ZPk-Vk-noy" secondAttribute="bottom" constant="8" id="E0W-gS-oA4"/>
                            <constraint firstItem="2uf-J2-Ob6" firstAttribute="top" secondItem="nOR-UU-Jus" secondAttribute="bottom" id="Hoa-Sq-YdJ"/>
                            <constraint firstItem="KS8-wA-CZc" firstAttribute="centerX" secondItem="pDC-Ui-wWa" secondAttribute="centerX" id="OVL-nE-VP7"/>
                            <constraint firstItem="4DH-7s-UmB" firstAttribute="top" secondItem="2uf-J2-Ob6" secondAttribute="bottom" constant="12" id="Qxd-U8-LhF"/>
                            <constraint firstItem="2uf-J2-Ob6" firstAttribute="leading" secondItem="3nZ-lc-IbM" secondAttribute="leading" constant="20" id="RBl-Pt-h1V"/>
                            <constraint firstItem="3nZ-lc-IbM" firstAttribute="trailing" secondItem="2uf-J2-Ob6" secondAttribute="trailing" constant="20" id="UqY-oe-yR3"/>
                            <constraint firstItem="hGr-bf-FWM" firstAttribute="centerX" secondItem="pDC-Ui-wWa" secondAttribute="centerX" id="Vnh-ZX-CGI"/>
                            <constraint firstItem="3nZ-lc-IbM" firstAttribute="trailing" secondItem="4DH-7s-UmB" secondAttribute="trailing" constant="25" id="XQT-Aa-4Bl"/>
                            <constraint firstItem="hGr-bf-FWM" firstAttribute="top" secondItem="CLR-kS-Hcp" secondAttribute="bottom" id="a2d-Aj-vgY"/>
                            <constraint firstItem="KS8-wA-CZc" firstAttribute="leading" secondItem="GRF-ph-ok8" secondAttribute="trailing" constant="8" id="aJV-Sp-luS"/>
                            <constraint firstItem="qS2-EA-uzr" firstAttribute="top" secondItem="4DH-7s-UmB" secondAttribute="bottom" constant="11.5" id="g8t-G3-D3Z"/>
                            <constraint firstItem="qS2-EA-uzr" firstAttribute="leading" secondItem="KS8-wA-CZc" secondAttribute="trailing" constant="8" id="i6b-IH-efg"/>
                            <constraint firstItem="KS8-wA-CZc" firstAttribute="top" secondItem="4DH-7s-UmB" secondAttribute="bottom" constant="12" id="iS8-SH-sv2"/>
                            <constraint firstItem="CLR-kS-Hcp" firstAttribute="top" secondItem="KS8-wA-CZc" secondAttribute="bottom" constant="10" id="j38-sF-vYX"/>
                            <constraint firstItem="CLR-kS-Hcp" firstAttribute="centerX" secondItem="pDC-Ui-wWa" secondAttribute="centerX" id="qDR-OR-yXF"/>
                            <constraint firstItem="ZPk-Vk-noy" firstAttribute="top" secondItem="3nZ-lc-IbM" secondAttribute="top" id="qHk-V0-0It"/>
                            <constraint firstItem="GRF-ph-ok8" firstAttribute="top" secondItem="4DH-7s-UmB" secondAttribute="bottom" constant="11.5" id="qeb-WD-gyE"/>
                            <constraint firstItem="4DH-7s-UmB" firstAttribute="leading" secondItem="3nZ-lc-IbM" secondAttribute="leading" constant="25" id="rTZ-Ba-LzH"/>
                            <constraint firstItem="nOR-UU-Jus" firstAttribute="leading" secondItem="3nZ-lc-IbM" secondAttribute="leading" constant="20" id="xPM-gZ-NtA"/>
                            <constraint firstItem="3nZ-lc-IbM" firstAttribute="trailing" secondItem="nOR-UU-Jus" secondAttribute="trailing" constant="20" id="zMv-OK-2t3"/>
                        </constraints>
                    </view>
                    <navigationItem key="navigationItem" id="Wlw-QM-WIt">
                        <barButtonItem key="leftBarButtonItem" image="arrow.left.circle" catalog="system" id="Xys-2W-3Y9">
                            <connections>
                                <action selector="back:" destination="6bp-2G-Dgv" id="TOC-7E-uJC"/>
                            </connections>
                        </barButtonItem>
                    </navigationItem>
                    <connections>
                        <outlet property="imgProfile" destination="ZPk-Vk-noy" id="V6E-X1-XH5"/>
                        <outlet property="lblCollections" destination="Y0S-zJ-TPs" id="6DW-eh-gTH"/>
                        <outlet property="lblDesc" destination="2uf-J2-Ob6" id="Yo3-Jh-C8R"/>
                        <outlet property="lblImages" destination="2dg-VQ-vhf" id="HJe-hH-ccj"/>
                        <outlet property="lblInstagram" destination="F8L-Cs-X73" id="M3E-2w-K1V"/>
                        <outlet property="lblLikes" destination="YwD-4P-0uJ" id="v5T-MO-iF9"/>
                        <outlet property="lblName" destination="nOR-UU-Jus" id="yPy-9U-nGP"/>
                        <outlet property="lblTwitter" destination="PoV-X7-To2" id="Aas-v1-ZXK"/>
                        <outlet property="nsConstraintTw" destination="aoB-qP-HUq" id="qYP-J3-O4F"/>
                        <outlet property="viewIns" destination="pDC-Ui-wWa" id="3Q9-XP-2yz"/>
                        <outlet property="viewTw" destination="CLR-kS-Hcp" id="djq-ml-bSg"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="pTM-w3-4SW" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="4737.68115942029" y="138.61607142857142"/>
        </scene>
        <!--Tab Bar Controller-->
        <scene sceneID="Anz-ob-wgb">
            <objects>
                <tabBarController automaticallyAdjustsScrollViewInsets="NO" id="A2o-Uz-JeA" sceneMemberID="viewController">
                    <toolbarItems/>
                    <tabBar key="tabBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="54b-tL-C64">
                        <rect key="frame" x="0.0" y="0.0" width="1000" height="1000"/>
                        <autoresizingMask key="autoresizingMask"/>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    </tabBar>
                    <connections>
                        <segue destination="ZOv-03-eUR" kind="relationship" relationship="viewControllers" id="Zq7-nb-XVk"/>
                        <segue destination="6hW-Xo-rXQ" kind="relationship" relationship="viewControllers" id="52e-Zx-ZAt"/>
                    </connections>
                </tabBarController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="3lw-u8-ozc" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="137.68115942028987" y="138.61607142857142"/>
        </scene>
        <!--Favorite View Controller-->
        <scene sceneID="Mfp-9g-62H">
            <objects>
                <viewController storyboardIdentifier="FavoriteViewController" id="lof-wj-Q6i" customClass="FavoriteViewController" customModule="images" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="Mkn-p7-GXx">
                        <rect key="frame" x="0.0" y="0.0" width="414" height="896"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="DPN-jZ-FLs">
                                <rect key="frame" x="15" y="288" width="384" height="325"/>
                                <subviews>
                                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFit" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="heart.slash.circle.fill" catalog="system" translatesAutoresizingMaskIntoConstraints="NO" id="soM-eg-q6I">
                                        <rect key="frame" x="117" y="40.5" width="150" height="149"/>
                                        <color key="tintColor" systemColor="systemRedColor"/>
                                        <constraints>
                                            <constraint firstAttribute="height" constant="150" id="a8G-dO-BQT"/>
                                            <constraint firstAttribute="width" constant="150" id="qdn-w2-UO9"/>
                                        </constraints>
                                    </imageView>
                                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="No tienes imagenes favoritas" textAlignment="center" lineBreakMode="tailTruncation" numberOfLines="3" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="Pga-9U-Y0R">
                                        <rect key="frame" x="8" y="198" width="368" height="92"/>
                                        <fontDescription key="fontDescription" name="AppleSymbols" family="Apple Symbols" pointSize="50"/>
                                        <nil key="textColor"/>
                                        <nil key="highlightedColor"/>
                                    </label>
                                </subviews>
                                <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                <constraints>
                                    <constraint firstItem="Pga-9U-Y0R" firstAttribute="leading" secondItem="DPN-jZ-FLs" secondAttribute="leading" constant="8" id="62A-bS-CIb"/>
                                    <constraint firstAttribute="trailing" secondItem="Pga-9U-Y0R" secondAttribute="trailing" constant="8" id="Hln-db-KCl"/>
                                    <constraint firstItem="Pga-9U-Y0R" firstAttribute="top" secondItem="soM-eg-q6I" secondAttribute="bottom" constant="8" id="VL9-Wn-bGu"/>
                                    <constraint firstItem="soM-eg-q6I" firstAttribute="top" secondItem="DPN-jZ-FLs" secondAttribute="top" constant="40" id="dI0-f2-Vux"/>
                                    <constraint firstItem="soM-eg-q6I" firstAttribute="centerX" secondItem="DPN-jZ-FLs" secondAttribute="centerX" id="zho-S0-Naw"/>
                                </constraints>
                            </view>
                            <collectionView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" dataMode="prototypes" translatesAutoresizingMaskIntoConstraints="NO" id="E5c-tN-pmo">
                                <rect key="frame" x="0.0" y="88" width="414" height="725"/>
                                <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                                <collectionViewLayout key="collectionViewLayout" id="Wg0-gi-kcO" customClass="CustomLayoutUtil" customModule="images" customModuleProvider="target"/>
                                <cells/>
                            </collectionView>
                        </subviews>
                        <viewLayoutGuide key="safeArea" id="SMo-H7-gTf"/>
                        <color key="backgroundColor" systemColor="systemBackgroundColor"/>
                        <constraints>
                            <constraint firstItem="DPN-jZ-FLs" firstAttribute="top" secondItem="SMo-H7-gTf" secondAttribute="top" constant="200" id="2J9-z8-1wk"/>
                            <constraint firstItem="SMo-H7-gTf" firstAttribute="trailing" secondItem="E5c-tN-pmo" secondAttribute="trailing" id="81e-bg-yJK"/>
                            <constraint firstItem="E5c-tN-pmo" firstAttribute="leading" secondItem="SMo-H7-gTf" secondAttribute="leading" id="GuI-cX-nXG"/>
                            <constraint firstItem="DPN-jZ-FLs" firstAttribute="leading" secondItem="SMo-H7-gTf" secondAttribute="leading" constant="15" id="QGw-Pp-S05"/>
                            <constraint firstItem="SMo-H7-gTf" firstAttribute="trailing" secondItem="DPN-jZ-FLs" secondAttribute="trailing" constant="15" id="V0j-2r-Zrx"/>
                            <constraint firstItem="SMo-H7-gTf" firstAttribute="bottom" secondItem="DPN-jZ-FLs" secondAttribute="bottom" constant="200" id="aqV-bf-eLO"/>
                            <constraint firstItem="SMo-H7-gTf" firstAttribute="bottom" secondItem="E5c-tN-pmo" secondAttribute="bottom" id="rEX-T9-fNh"/>
                            <constraint firstItem="E5c-tN-pmo" firstAttribute="top" secondItem="SMo-H7-gTf" secondAttribute="top" id="uHI-Fi-dfp"/>
                        </constraints>
                    </view>
                    <navigationItem key="navigationItem" id="Ff3-FI-8wy"/>
                    <connections>
                        <outlet property="collectionView" destination="E5c-tN-pmo" id="8KN-C0-Laa"/>
                        <segue destination="8Qy-0Z-wDc" kind="show" identifier="DetailController" id="Dc8-GP-Yw2"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="2z2-Uf-uwi" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="1926.0869565217392" y="528.34821428571422"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="0Xg-mE-DCS">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" modalPresentationStyle="fullScreen" id="8Qy-0Z-wDc" sceneMemberID="viewController">
                    <toolbarItems/>
                    <navigationItem key="navigationItem" id="kx4-5o-RMe"/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" translucent="NO" id="oFr-8s-0dA">
                        <rect key="frame" x="0.0" y="44" width="414" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <textAttributes key="titleTextAttributes">
                            <color key="textColor" systemColor="linkColor"/>
                            <color key="textShadowColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        </textAttributes>
                        <textAttributes key="largeTitleTextAttributes">
                            <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                            <color key="textShadowColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        </textAttributes>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="6bp-2G-Dgv" kind="relationship" relationship="rootViewController" id="Tbz-0x-TF0"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="Vnf-a7-hyM" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="3826.0869565217395" y="138.61607142857142"/>
        </scene>
        <!--Galería-->
        <scene sceneID="qkc-rg-RMR">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" id="ZOv-03-eUR" sceneMemberID="viewController">
                    <tabBarItem key="tabBarItem" title="Galería" image="house" catalog="system" id="ane-yH-ujT"/>
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" id="2Ke-pK-YKU">
                        <rect key="frame" x="0.0" y="44" width="414" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="BYZ-38-t0r" kind="relationship" relationship="rootViewController" id="5OL-27-Gqm"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="TBs-d2-OYy" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="1015.9420289855074" y="-374.33035714285711"/>
        </scene>
        <!--Favoritas-->
        <scene sceneID="ZeZ-Nl-4Bz">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" id="6hW-Xo-rXQ" sceneMemberID="viewController">
                    <tabBarItem key="tabBarItem" title="Favoritas" image="suit.heart" catalog="system" id="sGc-x1-18Q"/>
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" id="kDw-kO-SyJ">
                        <rect key="frame" x="0.0" y="44" width="414" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="lof-wj-Q6i" kind="relationship" relationship="rootViewController" id="oiT-FT-tGf"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="0eG-gB-LXD" userLabel="First Responder" customClass="UIResponder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="1015.9420289855074" y="528.34821428571422"/>
        </scene>
    </scenes>
    <inferredMetricsTieBreakers>
        <segue reference="Dc8-GP-Yw2"/>
    </inferredMetricsTieBreakers>
    <resources>
        <image name="arrow.left.circle" catalog="system" width="128" height="121"/>
        <image name="heart.slash.circle.fill" catalog="system" width="128" height="121"/>
        <image name="house" catalog="system" width="128" height="106"/>
        <image name="ic_instagram" width="128" height="128"/>
        <image name="ic_twitter" width="128" height="128"/>
        <image name="suit.heart" catalog="system" width="128" height="109"/>
        <systemColor name="linkColor">
            <color red="0.0" green="0.47843137254901963" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
        <systemColor name="systemBackgroundColor">
            <color white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
        </systemColor>
        <systemColor name="systemRedColor">
            <color red="1" green="0.23137254901960785" blue="0.18823529411764706" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
    </resources>
</document>
